E2FSCK(8)

NOM
e2fsck - Vérifier un système de fichiers Linux ext2/ext3/ext4

SYNOPSIS
e2fsck [ -pacnyrdfkvtDFV ] [ -b superbloc ] [ -B taille_bloc ] [ -l|-L fichier_blocs_défectueux ] [ -C descripteur ] [ -j journal-externe ] [ -E options_étendues ] périphérique

DESCRIPTION
e2fsck permet de vérifier les systèmes de fichiers Linux de la famille ext2/ext3/ext4. Pour les systèmes de fichiers ext3 et ext4 qui utilisent un journal, si le système n'a pas été arrêté proprement mais qu'il n'y a pas eu d'erreur, normalement, après avoir rejoué les transactions enregistrées dans le journal, le système de fichiers devrait être marqué comme bon. De ce fait, pour les systèmes de fichiers journalisés, e2fsck applique le journal puis quitte, à moins que le superbloc n'indique que d'autres vérifications sont nécessaires.

périphérique est un fichier spécial correspondant au périphérique (par exemple /dev/hdc1).

Veuillez noter qu'en général, il n'est pas sûr d'exécuter e2fsck sur des systèmes montés. La seule exception est quand l'option -n est indiquée, et que les options -c, -l ou -L ne sont pas indiquées. Cependant, même si la commande est sûre, les résultats affichés par e2fsck peuvent ne pas être valable si le système de fichiers est monté. Si e2fsck vous demande si vous souhaitez ou non vérifier un système de fichiers monté, la réponse correcte est « no » (non). Seuls les experts qui savent vraiment ce qu'ils font devraient pouvoir considérer répondre autrement à cette question.

OPTIONS

-a  Cette option est identique à l'option -p, mais n'existe que pour assurer la compatibilité ascendante ; il est donc vivement suggéré d'utiliser plutôt l'option -p quand c'est possible.

-b superbloc
    Au lieu d'utiliser le superbloc normal, utiliser un autre superbloc indiqué par superbloc. On se sert de cette option lorsque le superbloc primaire a été corrompu. L'emplacement du superbloc de sauvegarde dépend de la taille des blocs du système de fichiers. Pour les systèmes de fichiers avec des blocs de taille 1K, le superbloc de sauvegarde est situé dans le bloc 8193, avec des blocs de taille 2K, il se situe dans le bloc 16384 et avec les blocs de 4K, dans le bloc 32768.

    D'autres superblocs de sauvegardes peuvent être retrouvés en utilisant le programme mke2fs avec l'option -n pour afficher les emplacements où les superblocs seraient créés. L'option -b de mke2fs, qui indique la taille des blocs du système de fichiers, doit être utilisée pour que les emplacements des superblocs indiqués soient exacts.

    Si un autre superbloc est indiqué et que le système de fichiers n'est pas ouvert en lecture-seule, e2fsck s'assurera que le superbloc primaire a été correctement mis à jour avant d'accomplir la vérification du système de fichiers.

-B taille_bloc
    Normalement, e2fsck recherchera le superbloc pour des tailles de blocs différentes dans le but de déterminer la taille des blocs. Cette recherche peut mener à des résultats erronés dans certains cas. Cette option force e2fsck à n'essayer de localiser le superbloc que pour une taille de bloc particulière. Si le superbloc reste introuvable, e2fsck quittera avec une erreur fatale.

-c  Cette option oblige e2fsck à exécuter le programme badblocks(8) pour trouver les blocs défectueux du système de fichiers avec un test en lecture seule. Ils seront alors marqués comme défectueux et ajoutés à l'inœud des blocs défectueux pour éviter qu'ils ne soient utilisés pour un fichier ou un répertoire. Si cette option est précisée deux fois, la recherche des blocs défectueux sera effectuée avec un test non destructif en lecture-écriture.

-C descripteur
    Cette option oblige e2fsck à écrire les informations d'avancement dans le descripteur de fichiers indiqué pour qu'ainsi la progression de la vérification puisse être surveillée. Cette option est typiquement utilisée par les programmes qui utilisent e2fsck. Si le descripteur de fichier indiqué est négatif, la valeur absolue du descripteur de fichier sera utilisé et les information de progressions ne seront pas fournie au départ. Elles pourront être activées par la suite en envoyant à e2fsck un signal SIGUSR1. Si le descripteur de fichier indiqué est 0, e2fsck affichera la barre d'avancement au fur et à mesure de sa progression. Cela nécessite que e2fsck s'exécute dans une console vidéo ou un terminal.

-d  Afficher la sortie de débogage (inutile à moins que vous ne soyez en train de déboguer e2fsck).

-D  Optimiser les répertoires dans le système de fichiers. Cette option indique à e2fsck d'essayer d'optimiser tous les répertoires, soit en les réindexant si le système de fichiers permet l'indexation des répertoires, soit en classant et compressant les répertoires pour les plus petits ou pour les systèmes de fichiers qui utilisent des répertoires linéaires traditionnels.

    Même sans l'option -D, e2fsck peut parfois optimiser quelques répertoires. Par exemple si l'indexation des répertoires est activée, qu'un répertoire n'est pas indexé et qu'il bénéficierait d'être indexé, ou si les structures d'index sont corrompues et doivent être reconstruites. L'option -D force l'optimisation de tous les répertoires du système de fichiers. Cela peut parfois les rendre un peu plus petits et accélérer légèrement les recherches dans ces répertoires. Mais en pratique vous n'avez que rarement besoin de cette option.

    L'option -D détectera les entrées de répertoire avec le même nom dans le même répertoire, ce que e2fsck ne fait habituellement pas pour des raisons de performance.

-E options_étendues
    Définir les options étendues d'e2fsck. Les options étendues sont séparées par des virgules et peuvent prendre un paramètre en utilisant le signe égal (« = »). Les options suivantes sont acceptées :

    ea_ver=version_attribut_étendu
        Définir la version des blocs d'attributs étendus que e2fsck nécessitera lors de la vérification du système de fichiers. Le numéro de version peut être 1 ou 2. La version par défaut du format des attributs étendus est la version 2.

    journal_only
        Revoir le journal si besoin, mais n'effectuer aucune autre vérification ou réparation.

    fragcheck
        Au cours de la première passe, afficher un rapport détaillé des blocs non contigus des fichiers du système de fichiers.

    discard
        Essayer d'abandonner les blocs libres et les blocs d'inœuds inutilisés après la vérification complète du système de fichiers (l'abandon de blocs est utile sur les périphériques à état solide (« SDD ») et les systèmes de stockage creux ou à allocation fine et dynamique). Notez que l'abandon est effectué au 5e passage, APRÈS que le système de fichiers a été vérifié complètement et seulement s'il ne contient pas d'erreurs identifiables. Cependant, il se peut que e2fsck ne décèle pas un problème existant, et dans ce cas, cette option vous empêchera peut-être de récupérer manuellement les données.

    nodiscard
        Ne pas essayer d'abandonner les blocs libres et les blocs d'inœuds inutilisés. Cette option est l'exact contraire de l'option discard. C'est le comportement par défaut.

-f  Forcer la vérification même si le système de fichiers semble bon.

-F  Purger les tampons de cache du périphérique hébergeant le système de fichiers avant de commencer. Ce n'est vraiment utile que pour mesurer la vitesse d'e2fsck.

-j journal-externe
    Définir le chemin du journal externe pour ce système de fichiers.

-k  Avec l'option -c, les blocs défectueux trouvés dans la liste sont préservés, et les nouveaux blocs défectueux trouvés par badblocks(8) sont ajoutés à la liste existante de blocs défectueux.

-l fichier
    Ajouter les blocs listés dans le fichier indiqué par fichier à la liste des blocs défectueux. Le format de ce fichier est identique à celui généré par le programme badblocks(8). Notez que les numéros de blocs sont basés sur la taille de bloc du système de fichiers. La taille de blocs correcte du système de fichiers doit donc être fournie à badblocks pour que ses résultats soient corrects. De ce fait, il est plus simple et plus sûr d'utiliser l'option -c de e2fsck, puisqu'il s'assure que les bons paramètres sont fournis à badblocks.

-L fichier
    Définir la liste des blocs défectueux à la liste des blocs indiquée dans fichier. (Cette option fait la même chose que l'option -l, sauf que la liste des blocs défectueux est remplacée par celle contenue dans le fichier).

-n  Ouvrir le système de fichiers en lecture seule, et répondre « no » à toutes les questions, ce qui permet ainsi l'utilisation non interactive d'e2fsck. Cette option ne peut pas être utilisée en même temps que les options -p ou -y.

-p  Réparer automatiquement (NdT : en anglais « preen » signifie lisser) le système de fichiers sans poser la moindre question. Avec cette option, e2fsck réparera tous les problèmes du système de fichiers qui peuvent être réparés sans intervention humaine. Si e2fsck trouve un problème qui nécessite une intervention de l'administrateur système pour effectuer d'autres actions correctives, e2fsck affichera une description du problème et quittera avec le bit correspondant à l'erreur 4 positionné (voir la section EXIT CODE). Cette option est normalement utilisée par les scripts de démarrage du système. Elle ne peut pas être indiquée en même temps que les options -n ou -y.

-r  Cette option ne fait rien du tout, elle n'existe que pour assurer la compatibilité ascendante.

-t  Afficher les statistiques temporelles pour e2fsck. Si cette option est utilisée deux fois, des statistiques supplémentaires seront affichées pour chaque passe.

-v  Mode bavard.

-V  Afficher les informations de version, puis quitter.

-y  Répondre « yes » à toutes les questions, permet ainsi l'utilisation non interactive d'e2fsck. Cette option ne peut pas être utilisée en même temps que les options -n ou -p.

CODE DE SORTIE
Le code de sortie retourné par e2fsck est la somme des conditions suivantes :
    0    - Aucune erreur
    1    - Erreurs du système de fichiers corrigées
    2    - Erreurs du système de fichiers corrigées, le système
      devrait être redémarré
    4    - Il subsiste des erreurs non corrigées dans le système de
      fichiers
    8    - Erreur d'opération
    16    - Erreur d'utilisation ou de syntaxe
    32    - E2fsck annulé par l'utilisateur
    128    - Erreur de bibliothèque partagée

SIGNAUX
Les signaux suivants ont l'effet mentionné quand ils sont envoyés à e2fsck.

SIGUSR1
    e2fsck commence l'affichage de la barre d'avancement ou l'émission d'informations sur la progression (voir les commentaires sur l'option -C).

SIGUSR2
    e2fsck cesse l'affichage de la barre d'avancement ou l'émission d'informations sur la progression.

RAPPORT DE BOGUES
Quasiment tous les logiciels comportent des bogues. Si vous parvenez à dénicher un système de fichiers qui provoque le crash de e2fsck, ou qu'il est incapable de réparer, veuillez en informer l'auteur.

Merci d'inclure autant d'informations que possible dans votre rapport de bogue. Idéalement, il faudrait la transcription complète de l'exécution de e2fsck, pour pouvoir voir exactement les messages d'erreurs affichés (assurez-vous que les messages affichés par e2fsck sont en anglais ; si votre système a été configuré de telle sorte que les messages de e2fsck sont traduits dans une autre langue, veuillez configurer la variable d'environnement LC_ALL à la valeur C pour que les messages puissent être utiles aux développeurs). Si vous avez un système de fichiers dans lequel vous pouvez écrire, la transcription peut être enregistrée avec le programme script(1), qui permet d'enregistrer de manière aisée la sortie de e2fsck dans un fichier.

Il est aussi utile d'envoyer la sortie de dumpe2fs(8). Si un ou plusieurs inœuds semblent poser des problèmes à e2fsck, essayez de lancer la commande debugfs(8) et envoyez la sortie de l'exécution de la commande stat(1) sur le(s) inœud(s) en question. Si l'inœud est un répertoire, la commande dump de debugfs vous permettra d'extraire le contenu de l'inœud du répertoire qui peut être envoyé après avoir été préalablement passé au travers de uuencode(1). Les informations les plus utiles que vous pouvez envoyer pour reproduire le bogue sont une image compressée du système de fichiers, générée par e2image(8). Consultez la page de manuel de e2image(8) pour plus de détails.

Incluez toujours le nom de version complet qu'affiche e2fsck lorsqu'il s'exécute, afin que je sache quelle version vous utilisez.

AUTEUR
Cette version d'e2fsck a été écrite par Theodore Ts'o <tytso@mit.edu>.

VOIR AUSSI
e2fsck.conf(5), badblocks(8), dumpe2fs(8), debugfs(8), e2image(8), mke2fs(8), tune2fs(8)

TRADUCTION
Cette page de manuel a été traduite par Sébastien Blanchet en 2002. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.